#---------------------------------------------------------------------------
# Makefile for the Matrix library
#
# Mark Koennecke, November 1996
#--------------------------------------------------------------------------
OBJ=   matadd.o matcreat.o matdet.o matdump.o matdurbn.o materr.o \
       matinv.o matmul.o matsolve.o matsub.o matsubx.o mattoepz.o \
       mattran.o

#---------- for Redhat linux
#CC= gcc
#CFLAGS= -I/usr/local/include -I. -I../ -DLINUX   -g -c

#------------ for DigitalUnix
CC=cc
CFLAGS= -I/data/koenneck/include -I. -I../   -std1 -g -c
#------------ for DigitalUnix with Fortify
#CFLAGS= -I/data/koenneck/include -DFORTIFY -I. -I../   -std1 -g -c

#------------ for CYGNUS toolchain on Win32
#CC=gcc
#CFLAGS= -I. -I../ -DCYGNUS -g -c

.c.o:
	$(CC) $(CFLAGS) $*.c

matrix: $(OBJ)
	- rm -f libmatrix.a
	ar cr libmatrix.a $(OBJ)
	ranlib libmatrix.a

clean:
	rm -f *.o
	rm -f *.a
